Edit an Alert

This API allows you to edit an alert. You are allowed to edit alerts for those you have access to. Only one alert can be edited per API call. You need to pass the unique identifier of the alert in the Edit Alert API definition.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
    "users": "",
    "cc": "",
    "alertMode": "2",
    "emailNotification": true,
    "webNotification": false,
    "mobileNotification": false,
    "soundNotification": false,
    "muted": false,
    "roleIds": null,
    "customAlertHours": 1,
    "emailAdmin": true,
    "emailDriver": false,
    "timeForSummary": 330,
    "alertName": "Standard VIN Change Alert",
    "alertTypeId": "42",
    "alertTypeData": {},
    "groupAlert": false,
    "vehicles": "47ec52ae-e02e-11ec-b6c5-bda8157dd221",
    "alertId": "21a48c90-5093-11ed-bc12-a9aeb8cc4208"
}

API Response Glossary

FieldDescriptionData Type
generatedAtInMillisEvent performed timestamp in UTC millisecondsLong
alertIdUnique identifier representing the alertString
customerIdUnique identifier representing the customerLong
alertTypeObject representing the meta data of the alert typeAlertTypeVO
alertTypeIdUnique identifier representing the type of the alertint
nameName of the alert typeString
descriptionBrief description of the alert typeString
tableNameFor Azuga Internal useString
batchMessageTemplateKeyFor Azuga Internal useString
messageTemplateKeyFor Azuga Internal useString
createdAtCreated time of alert type in UTC millisecondsTimestamp
deletedAtDeleted time of alert typeTimestamp
deletedBoolean value representing the alertType deletion(True=Deleted, False= Not Deleted)boolean
eventTypeIdUnique identifier representing the event typeInteger
propertyKeyFor Azuga Internal useString
alertSubjectKeyFor Azuga Internal useString
dataSourceFor Azuga Internal useString
messageTemplateFor Azuga Internal useString
packageIdFor Azuga Internal useint
ccEmail IDs configured in CC for the alertString
modeFrequency of the alert email.
1 - Indicates that the alert is triggered instaly
2 - Indicates that the alert is triggered as a summary alert.
Integer
messageTemplateFor Azuga Internal useString
alertNameName of the alertString
createdAtAlert creation time in UTC millisecondsTimestamp
createdByUnique identifier of the user who created the alertString
modifiedByUnique identifier of the user who updated the alert lastString
alertKeyValueMappingIdUnique identifier for mapping between the alert and the alertKey valueString
alertIdUnique identifier representing the alertString
alertKeyProperty of the alertString
valueCorresponding value of the alertKeyString
formattedValueFor Azuga Internal useString
groupsThe comma-separated unique identifiers of group names that are associated with the alert. Vehicles under these groups are considered for the alert.Set<AlertToGroupMappingVO>
alertToGroupMappingIdUnique identifier for mapping between the alert and the group.String
groupIdUnique identifier representing the groupString
customerIdUnique identifier of the customer associated with the groupLong
createdByThe unique identifier of the user who created the groupString
createdAtCreation time of the group in UTC milisecondsTimestamp
modifiedByThe unique identifier of the user who modified the group lastString
modifiedAtLast modified time of the group in UTC millisecondsTimestamp
deletedBoolean value representing the group deletion(True=Deleted, False= Not Deleted)boolean
deletedAtDeletion time of the group in UTC millisecondsTimestamp
groupNameName of the groupString
usersObject representing the meta data of the userSet<AlertToUserIdMappingForMailVO>
alertToUserIdMappingForMailIdUnique identifier for mapping between the alert and the group.String
userIdUnique identifier representing the userString
createdByUnique identifier of the user who created the this userString
createdAtCreation time of the user in UTC millisecondsTimestamp
modifiedByUnique identifier of the user who modified the user details lastString
modifiedAtLast modified time of the user in UTC millisecondsTimestamp
deletedBoolean value representing the user deletion(True=Deleted, False= Not Deleted)boolean
deletedAtDeleted time of the userTimestamp
deletedBoolean value representing the alert deletion(True=Deleted, False= Not Deleted)boolean
mutedBoolean value representing whether the alert is muted of not(True=Muted, False= Not Muted)boolean
ruleSetsFor Azuga Internal useSet<RuleSetVO>
alertRemindersFor Azuga Internal useSet<AlertReminderVO>
vehiclesArray of vehicles with their details which are associated with the alert.
  • *alertId** - Unique Identifier of the alert
  • *vehicleId** - Unique Identifier of the vehicle
  • *createdAt** - Created time of vehicle
  • *name** - Name of the vehicle
  • *alertToTrackeeMappingId** - UniqueID representing the mapping between vehicle and alert
Set<AlertToTrackeeMappingVO>
alertIdUnique identifier representing the alertString
vehicleIdUnique identifier representing the vehicleString
createdAtCreation time of the vehicles in UTC millisecondsTimestamp
nameName of the vehicleString
alertToTrackeeMappingIdUnique identifier representing the mapping between the alert and vehiclebyte[]
assetSensorsFor Azuga Internal useSet<TemperatureSensorDTO>
defaultAlertFor Azuga Internal useboolean
groupAlertBoolean value representing whether the alert is a group alert or not
True = It is a group alert
False = It is not a group alert
boolean
alertTimeConfigsThis field gives you information about whether the alert is set to trigger only during a specific interval of time - Work Hours. The key field day=1 implies that it is Sunday. Similarly, 2 for Monday and 3 for Tuesday and so on.Set<AlertTimeConfig>
alertToDeviceMappingFor Azuga Internal useSet<AlertToDeviceMappingVO>
smsNotificationBoolean value representing the alert is configured to provide smsNotificationboolean
emailNotificationBoolean value representing the alert is configured to provide emailNotificationboolean
webNotificationBoolean value representing the alert is configured to provide web notification(Banner)boolean
mobileNotificationBoolean value representing the alert is configured to provide mobile(AFM) notificationboolean
soundNotificationBoolean value representing the alert is configured to notify with sound.boolean
soundIdThe unique id represents the sound notifiersInteger
emailAdminBoolean value representing the alert is configured to email alerts to admin or notboolean
emailDriverBoolean value representing the alert is configured to email alerts to drivers or notboolean
reportFilterFor Azuga Internal useString
roleIdsUnique identifier of the role which is configured in ‘Group Admin with Role’ under send email sectionString
roleIdNamesName of the roles which is configured in ‘Group Admin with Role’ under send email sectionString
alertToAssetSensorMappingFor Azuga Internal useSet<AlertToAssetSensorMappingDTO>
customAlertHoursThe time in hours to send the alert summary report
0 = Trigger the alert instantly
1 = Trigger the alert every 1 hour
Integer
timeForSummaryFor Azuga Internal useString
startTimeForSummaryStart time for summary alert. This is depended on the value of mode.String
buzzerIntensityIntensity of the buzzer
53 - High
37 - Medium
21 - Low
5 - Off
Integer
errorThe description of the errorList<Error>
Path Params
string
required

Unique identifier of the alert you wish to update

Body Params
string
required

Unique identifier of the alert to be edited

string
required

Name of the alert that needs to be configured.

int32
required

Unique identifier representing the type of alert needs to be created. The alertTypeId and the corresponding alert type name is described below: 1, Speeding 2, Stop Time 3, Idling 4, Device Plugged In/Unplugged 6, Unauthorized Usage 7, Braking 8, Sudden Acceleration 9, Check Engine Light 10, Not Tracking 13, Low Fuel 14, Ignition 15, Posted Speed Limit 16, Low Battery 17, Cornering 18, Panic Alert 19, Seat belt 20, Unknown Driver 21, Unauthorized Occupant Count 22, Beacon Unused 39, Fuel Location Exception 40, Fuel Quantity Exception 41, SafetyCam Connected/Disconnected 42, VIN Change 43, SafetyCam Button Pressed 44, SafetyCam Connectivity Status 46, Back up detection

int32

The time in hours to send the alert summary. 0 = Trigger the alert instantly 1 = Trigger the alert every 1 hour

json

Pass the below objects based on the type of alert. PRIORITY: Type of notification in web/mobile. POPUP_EVERYUSER: Popup with every user acknowledgement POPUP: Popup with any user acknowledgement BANNER: Banner type notification IDLETIME: Use this field for Idling alerts to configure the threshold for Idling time HB: HB=1 if the braking alert(alertTypeId=7) needs to be configured with Hard Braking HCB: HCB=1 if the braking alert(alertTypeId=7) needs to be configured with Hard Core Braking. Check Engine Light Alert(alertType : 9) = Null /// Device Plugged In/Unplugged Alert(alertType : 4) = Null /// Low Battery Alert (alertType : 16) = Null /// Standard Panic Alert(alertType : 18) = Null /// SafetyCam Button Pressed Alert (alertType : 43) = Null /// Sudden Acceleration Alert(alertType : 8) = Null /// Unauthorized Usage Alert(alertType : 6) = Null /// VIN Change Alert(alertType : 42) = Null /// Fuel Location Exception Alert(alertType : 39): DISTANCELIMIT - Trigger value if distance difference exceeds this value /// Fuel Quantity Exception Alert(alertType : 40): FUELDIFFERENCE - Transactions flagged when the difference is greater than this value in litres. /// Beacon Unused Alert(alertType : 22) NO_OF_DAYS - To trigger alert when the beacon unused beyond this value. /// Idling Alert(alertType : 3) IDLETIME - Trigger when the idle time exceeds the value in minutes /// Ignition Alert(alertType : 14) IGNITION_STATE - The valid values are “IgnitionOn_IgnitionOff_FirstOn” / “IgnitionOn_IgnitionOff” / “IgnitionOff” / “IgnitionOn” etc /// Standard Low Fuel Alert(alertType : 13) - LOWFUEL_THRESHOLD - To trigger alert when the fuel capacity ranges to this value in percentage LOWFUEL_RADIUS - Radius value in miles LOWFUEL_CATEGORY - 1 = Nearest; 2 - Cheapest LOWFUEL_NUM_OF_GAS_STATIONS - “1”, - Valid values are - 1,2,3 LOW_FUEL_FUEL_TYPE - Valid values are Midgrade, Premium, Unleaded LOWFUEL_FREQUENCY - 2- Instant, 0 - Once per trip ///Standard Not Tracking Alert(alertType : 10) - NOT_TRACKING_TIME - Wait time /// Posted Speed Limit Alert(alertType - 15) POSTED_SPEED_DURATION: 0 - Add 0 if Duration is instant. Add value in seconds for any duration;
POSTED_SPEED_EXCEEDS_BY: 0 - Add 0 if the alert needs to be triggered at Posted speed for others add different value;
POSTED_SPEED_EXCEEDS_BY_UNIT: The valid value is “SPEED" /// Seat Belt Alert(alertType - 19) - SEATBELT - Value in percentage /// Speeding Alert(alertType - 1) SPEEDLIMIT - Speedlimit in MPH /// Stop Alert(alertType - 2) STOPTIME : Stoptime in minutes /// Unauthorized Occupant Count Alert(alertType - 21) ALERT_WHILE_IDLING - 1 = Enabled, 0 = Disabled NO_OF_OCCUPANTS - Count of number of occupants allowed /// Unknown Driver Alert(alertType - 20) REMINDER_FREQ = -1 for Once per trip; Others - value for reminder frequency REMINDER_FREQ_UNITS - “ONCE_PER_TRIP” for Once per trip reminder frequency WAIT_AFTER_IGNITION_VAL - Wait after ignition ON value WAIT_AFTER_IGNITION_VAL_UNITS - Minutes/Hours ///

string

The comma separated unique identifiers of the vehicles that need to be associated with the alert.

string

The comma separated unique identifiers of the users that needs to receive the alert notification.

string

The comma separated email Ids to be configured in CC

boolean

Boolean value representing the alert needs to be notified over email

boolean

Boolean value representing the alert needs to be notified over web

boolean

Boolean value representing the alert needs to be notified in AFM(mobile app)

boolean

Boolean value representing the alert notification sound

boolean

Boolean to indicate whether the alert needs to be muted

string

The roleId separated by commas representing to notify the Group Admins with Role

boolean

Boolean to indicate whether the group admin needs to be notified

boolean

Boolean to indicate whether the associated driver of the vehicle needs to be notified

boolean

Boolean value which represents whether the configuration is group/vehicle based groupAlert=true implies that the alert is a group based alert.

string

Frequency of the alert email. 1 - Indicates that the alert is triggered instantly 2 - Indicates that the alert is triggered as a summary alert.

string

Intensity of the buzzer 53 - High 37 - Medium 21 - Low 5 - Off

string

The comma separated unique identifiers of group names that need to be associated with the alert. Vehicles under these groups would be considered for the alert.

int32

Time for summary in seconds. For example 5.30 AM the corresponding seconds value is 330

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json